# norootforbuild

Name:		projectM-libvisual-alsa
Version:	2.1.0
Release:	1.6

Summary:	Alsa tool for projectM
License:	LGPL
Group:		Productivity/Multimedia/Sound/Visualization
URL:		http://projectm.sourceforge.net/

Source0:	%{name}-%{version}-Source.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	alsa-devel pkgconfig(libprojectM-qt) libvisual-devel
BuildRequires:	SDL-devel pkgconfig
BuildRequires:	update-desktop-files cmake


%description
Alsa tool for projectM

ProjectM is an awesome music visualizer. There is nothing better in the world of
Unix. projectM's greatness comes from the hard work of the community. Users like
you can create presets that connect music with incredible visuals.





%prep
%setup -q -n %{name}-%{version}-Source


%build
cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_BUILD_TYPE=RELEASE \
	%if %{_lib} == lib64
		-DLIB_SUFFIX=64 \
	%endif
	.

%__make %{?jobs:-j%{jobs}}


%install
%makeinstall
%suse_update_desktop_file -r %{name} AudioVideo Music


%clean
%__rm -rf "%{buildroot}"


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Sep 08 2010 - Detlef Reichelt <detlef@links2linux.de> - 2.0.1
- initial build <2.0.1>
